<?php

declare(strict_types=1);

namespace Borlabs\Cookie\Localization\System;

use Borlabs\Cookie\Localization\LocalizationInterface;

final class PackageManagerComponentLocalizationStrings implements LocalizationInterface
{
    /**
     * @return array<array<string>>
     */
    public static function get(): array
    {
        return [
            'alert' => [
                'keyAlreadyInUse' => _x(
                    'A <strong>{{ resource }}</strong> with the key <strong><em>{{ key }}</em></strong> already exists. Please delete the <strong>{{ resource }}</strong> first.',
                    'Backend / Package Manager Components / Alert',
                    'borlabs-cookie',
                ),
            ],
        ];
    }
}
